Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network110.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
110.0.0.0
Broadcast address
110.127.255.255
First usable
110.0.0.1
Last usable
110.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 6E000000 · Integer 1845493760 to 1853882367
Reverse DNS zones
0.110.in-addr.arpa
1.110.in-addr.arpa
2.110.in-addr.arpa
3.110.in-addr.arpa
4.110.in-addr.arpa
5.110.in-addr.arpa
6.110.in-addr.arpa
7.110.in-addr.arpa
8.110.in-addr.arpa
9.110.in-addr.arpa
10.110.in-addr.arpa
11.110.in-addr.arpa
12.110.in-addr.arpa
13.110.in-addr.arpa
14.110.in-addr.arpa
15.110.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101110.00000000.00000000.00000000110.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01101110.00000000.00000000.00000000110.0.0.0
Broadcast01101110.01111111.11111111.11111111110.127.255.255
Split into smaller subnets/21

110.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1110.0.0.0/21110.0.0.1 to 110.0.7.254110.0.7.2552,046
2110.0.8.0/21110.0.8.1 to 110.0.15.254110.0.15.2552,046
3110.0.16.0/21110.0.16.1 to 110.0.23.254110.0.23.2552,046
4110.0.24.0/21110.0.24.1 to 110.0.31.254110.0.31.2552,046
5110.0.32.0/21110.0.32.1 to 110.0.39.254110.0.39.2552,046
6110.0.40.0/21110.0.40.1 to 110.0.47.254110.0.47.2552,046
7110.0.48.0/21110.0.48.1 to 110.0.55.254110.0.55.2552,046
8110.0.56.0/21110.0.56.1 to 110.0.63.254110.0.63.2552,046
9110.0.64.0/21110.0.64.1 to 110.0.71.254110.0.71.2552,046
10110.0.72.0/21110.0.72.1 to 110.0.79.254110.0.79.2552,046
11110.0.80.0/21110.0.80.1 to 110.0.87.254110.0.87.2552,046
12110.0.88.0/21110.0.88.1 to 110.0.95.254110.0.95.2552,046
13110.0.96.0/21110.0.96.1 to 110.0.103.254110.0.103.2552,046
14110.0.104.0/21110.0.104.1 to 110.0.111.254110.0.111.2552,046
15110.0.112.0/21110.0.112.1 to 110.0.119.254110.0.119.2552,046
16110.0.120.0/21110.0.120.1 to 110.0.127.254110.0.127.2552,046
17110.0.128.0/21110.0.128.1 to 110.0.135.254110.0.135.2552,046
18110.0.136.0/21110.0.136.1 to 110.0.143.254110.0.143.2552,046
19110.0.144.0/21110.0.144.1 to 110.0.151.254110.0.151.2552,046
20110.0.152.0/21110.0.152.1 to 110.0.159.254110.0.159.2552,046
21110.0.160.0/21110.0.160.1 to 110.0.167.254110.0.167.2552,046
22110.0.168.0/21110.0.168.1 to 110.0.175.254110.0.175.2552,046
23110.0.176.0/21110.0.176.1 to 110.0.183.254110.0.183.2552,046
24110.0.184.0/21110.0.184.1 to 110.0.191.254110.0.191.2552,046
25110.0.192.0/21110.0.192.1 to 110.0.199.254110.0.199.2552,046
26110.0.200.0/21110.0.200.1 to 110.0.207.254110.0.207.2552,046
27110.0.208.0/21110.0.208.1 to 110.0.215.254110.0.215.2552,046
28110.0.216.0/21110.0.216.1 to 110.0.223.254110.0.223.2552,046
29110.0.224.0/21110.0.224.1 to 110.0.231.254110.0.231.2552,046
30110.0.232.0/21110.0.232.1 to 110.0.239.254110.0.239.2552,046
31110.0.240.0/21110.0.240.1 to 110.0.247.254110.0.247.2552,046
32110.0.248.0/21110.0.248.1 to 110.0.255.254110.0.255.2552,046
33110.1.0.0/21110.1.0.1 to 110.1.7.254110.1.7.2552,046
34110.1.8.0/21110.1.8.1 to 110.1.15.254110.1.15.2552,046
35110.1.16.0/21110.1.16.1 to 110.1.23.254110.1.23.2552,046
36110.1.24.0/21110.1.24.1 to 110.1.31.254110.1.31.2552,046
37110.1.32.0/21110.1.32.1 to 110.1.39.254110.1.39.2552,046
38110.1.40.0/21110.1.40.1 to 110.1.47.254110.1.47.2552,046
39110.1.48.0/21110.1.48.1 to 110.1.55.254110.1.55.2552,046
40110.1.56.0/21110.1.56.1 to 110.1.63.254110.1.63.2552,046
41110.1.64.0/21110.1.64.1 to 110.1.71.254110.1.71.2552,046
42110.1.72.0/21110.1.72.1 to 110.1.79.254110.1.79.2552,046
43110.1.80.0/21110.1.80.1 to 110.1.87.254110.1.87.2552,046
44110.1.88.0/21110.1.88.1 to 110.1.95.254110.1.95.2552,046
45110.1.96.0/21110.1.96.1 to 110.1.103.254110.1.103.2552,046
46110.1.104.0/21110.1.104.1 to 110.1.111.254110.1.111.2552,046
47110.1.112.0/21110.1.112.1 to 110.1.119.254110.1.119.2552,046
48110.1.120.0/21110.1.120.1 to 110.1.127.254110.1.127.2552,046
49110.1.128.0/21110.1.128.1 to 110.1.135.254110.1.135.2552,046
50110.1.136.0/21110.1.136.1 to 110.1.143.254110.1.143.2552,046
51110.1.144.0/21110.1.144.1 to 110.1.151.254110.1.151.2552,046
52110.1.152.0/21110.1.152.1 to 110.1.159.254110.1.159.2552,046
53110.1.160.0/21110.1.160.1 to 110.1.167.254110.1.167.2552,046
54110.1.168.0/21110.1.168.1 to 110.1.175.254110.1.175.2552,046
55110.1.176.0/21110.1.176.1 to 110.1.183.254110.1.183.2552,046
56110.1.184.0/21110.1.184.1 to 110.1.191.254110.1.191.2552,046
57110.1.192.0/21110.1.192.1 to 110.1.199.254110.1.199.2552,046
58110.1.200.0/21110.1.200.1 to 110.1.207.254110.1.207.2552,046
59110.1.208.0/21110.1.208.1 to 110.1.215.254110.1.215.2552,046
60110.1.216.0/21110.1.216.1 to 110.1.223.254110.1.223.2552,046
61110.1.224.0/21110.1.224.1 to 110.1.231.254110.1.231.2552,046
62110.1.232.0/21110.1.232.1 to 110.1.239.254110.1.239.2552,046
63110.1.240.0/21110.1.240.1 to 110.1.247.254110.1.247.2552,046
64110.1.248.0/21110.1.248.1 to 110.1.255.254110.1.255.2552,046
65110.2.0.0/21110.2.0.1 to 110.2.7.254110.2.7.2552,046
66110.2.8.0/21110.2.8.1 to 110.2.15.254110.2.15.2552,046
67110.2.16.0/21110.2.16.1 to 110.2.23.254110.2.23.2552,046
68110.2.24.0/21110.2.24.1 to 110.2.31.254110.2.31.2552,046
69110.2.32.0/21110.2.32.1 to 110.2.39.254110.2.39.2552,046
70110.2.40.0/21110.2.40.1 to 110.2.47.254110.2.47.2552,046
71110.2.48.0/21110.2.48.1 to 110.2.55.254110.2.55.2552,046
72110.2.56.0/21110.2.56.1 to 110.2.63.254110.2.63.2552,046
73110.2.64.0/21110.2.64.1 to 110.2.71.254110.2.71.2552,046
74110.2.72.0/21110.2.72.1 to 110.2.79.254110.2.79.2552,046
75110.2.80.0/21110.2.80.1 to 110.2.87.254110.2.87.2552,046
76110.2.88.0/21110.2.88.1 to 110.2.95.254110.2.95.2552,046
77110.2.96.0/21110.2.96.1 to 110.2.103.254110.2.103.2552,046
78110.2.104.0/21110.2.104.1 to 110.2.111.254110.2.111.2552,046
79110.2.112.0/21110.2.112.1 to 110.2.119.254110.2.119.2552,046
80110.2.120.0/21110.2.120.1 to 110.2.127.254110.2.127.2552,046
81110.2.128.0/21110.2.128.1 to 110.2.135.254110.2.135.2552,046
82110.2.136.0/21110.2.136.1 to 110.2.143.254110.2.143.2552,046
83110.2.144.0/21110.2.144.1 to 110.2.151.254110.2.151.2552,046
84110.2.152.0/21110.2.152.1 to 110.2.159.254110.2.159.2552,046
85110.2.160.0/21110.2.160.1 to 110.2.167.254110.2.167.2552,046
86110.2.168.0/21110.2.168.1 to 110.2.175.254110.2.175.2552,046
87110.2.176.0/21110.2.176.1 to 110.2.183.254110.2.183.2552,046
88110.2.184.0/21110.2.184.1 to 110.2.191.254110.2.191.2552,046
89110.2.192.0/21110.2.192.1 to 110.2.199.254110.2.199.2552,046
90110.2.200.0/21110.2.200.1 to 110.2.207.254110.2.207.2552,046
91110.2.208.0/21110.2.208.1 to 110.2.215.254110.2.215.2552,046
92110.2.216.0/21110.2.216.1 to 110.2.223.254110.2.223.2552,046
93110.2.224.0/21110.2.224.1 to 110.2.231.254110.2.231.2552,046
94110.2.232.0/21110.2.232.1 to 110.2.239.254110.2.239.2552,046
95110.2.240.0/21110.2.240.1 to 110.2.247.254110.2.247.2552,046
96110.2.248.0/21110.2.248.1 to 110.2.255.254110.2.255.2552,046
97110.3.0.0/21110.3.0.1 to 110.3.7.254110.3.7.2552,046
98110.3.8.0/21110.3.8.1 to 110.3.15.254110.3.15.2552,046
99110.3.16.0/21110.3.16.1 to 110.3.23.254110.3.23.2552,046
100110.3.24.0/21110.3.24.1 to 110.3.31.254110.3.31.2552,046
101110.3.32.0/21110.3.32.1 to 110.3.39.254110.3.39.2552,046
102110.3.40.0/21110.3.40.1 to 110.3.47.254110.3.47.2552,046
103110.3.48.0/21110.3.48.1 to 110.3.55.254110.3.55.2552,046
104110.3.56.0/21110.3.56.1 to 110.3.63.254110.3.63.2552,046
105110.3.64.0/21110.3.64.1 to 110.3.71.254110.3.71.2552,046
106110.3.72.0/21110.3.72.1 to 110.3.79.254110.3.79.2552,046
107110.3.80.0/21110.3.80.1 to 110.3.87.254110.3.87.2552,046
108110.3.88.0/21110.3.88.1 to 110.3.95.254110.3.95.2552,046
109110.3.96.0/21110.3.96.1 to 110.3.103.254110.3.103.2552,046
110110.3.104.0/21110.3.104.1 to 110.3.111.254110.3.111.2552,046
111110.3.112.0/21110.3.112.1 to 110.3.119.254110.3.119.2552,046
112110.3.120.0/21110.3.120.1 to 110.3.127.254110.3.127.2552,046
113110.3.128.0/21110.3.128.1 to 110.3.135.254110.3.135.2552,046
114110.3.136.0/21110.3.136.1 to 110.3.143.254110.3.143.2552,046
115110.3.144.0/21110.3.144.1 to 110.3.151.254110.3.151.2552,046
116110.3.152.0/21110.3.152.1 to 110.3.159.254110.3.159.2552,046
117110.3.160.0/21110.3.160.1 to 110.3.167.254110.3.167.2552,046
118110.3.168.0/21110.3.168.1 to 110.3.175.254110.3.175.2552,046
119110.3.176.0/21110.3.176.1 to 110.3.183.254110.3.183.2552,046
120110.3.184.0/21110.3.184.1 to 110.3.191.254110.3.191.2552,046
121110.3.192.0/21110.3.192.1 to 110.3.199.254110.3.199.2552,046
122110.3.200.0/21110.3.200.1 to 110.3.207.254110.3.207.2552,046
123110.3.208.0/21110.3.208.1 to 110.3.215.254110.3.215.2552,046
124110.3.216.0/21110.3.216.1 to 110.3.223.254110.3.223.2552,046
125110.3.224.0/21110.3.224.1 to 110.3.231.254110.3.231.2552,046
126110.3.232.0/21110.3.232.1 to 110.3.239.254110.3.239.2552,046
127110.3.240.0/21110.3.240.1 to 110.3.247.254110.3.247.2552,046
128110.3.248.0/21110.3.248.1 to 110.3.255.254110.3.255.2552,046
129110.4.0.0/21110.4.0.1 to 110.4.7.254110.4.7.2552,046
130110.4.8.0/21110.4.8.1 to 110.4.15.254110.4.15.2552,046
131110.4.16.0/21110.4.16.1 to 110.4.23.254110.4.23.2552,046
132110.4.24.0/21110.4.24.1 to 110.4.31.254110.4.31.2552,046
133110.4.32.0/21110.4.32.1 to 110.4.39.254110.4.39.2552,046
134110.4.40.0/21110.4.40.1 to 110.4.47.254110.4.47.2552,046
135110.4.48.0/21110.4.48.1 to 110.4.55.254110.4.55.2552,046
136110.4.56.0/21110.4.56.1 to 110.4.63.254110.4.63.2552,046
137110.4.64.0/21110.4.64.1 to 110.4.71.254110.4.71.2552,046
138110.4.72.0/21110.4.72.1 to 110.4.79.254110.4.79.2552,046
139110.4.80.0/21110.4.80.1 to 110.4.87.254110.4.87.2552,046
140110.4.88.0/21110.4.88.1 to 110.4.95.254110.4.95.2552,046
141110.4.96.0/21110.4.96.1 to 110.4.103.254110.4.103.2552,046
142110.4.104.0/21110.4.104.1 to 110.4.111.254110.4.111.2552,046
143110.4.112.0/21110.4.112.1 to 110.4.119.254110.4.119.2552,046
144110.4.120.0/21110.4.120.1 to 110.4.127.254110.4.127.2552,046
145110.4.128.0/21110.4.128.1 to 110.4.135.254110.4.135.2552,046
146110.4.136.0/21110.4.136.1 to 110.4.143.254110.4.143.2552,046
147110.4.144.0/21110.4.144.1 to 110.4.151.254110.4.151.2552,046
148110.4.152.0/21110.4.152.1 to 110.4.159.254110.4.159.2552,046
149110.4.160.0/21110.4.160.1 to 110.4.167.254110.4.167.2552,046
150110.4.168.0/21110.4.168.1 to 110.4.175.254110.4.175.2552,046
151110.4.176.0/21110.4.176.1 to 110.4.183.254110.4.183.2552,046
152110.4.184.0/21110.4.184.1 to 110.4.191.254110.4.191.2552,046
153110.4.192.0/21110.4.192.1 to 110.4.199.254110.4.199.2552,046
154110.4.200.0/21110.4.200.1 to 110.4.207.254110.4.207.2552,046
155110.4.208.0/21110.4.208.1 to 110.4.215.254110.4.215.2552,046
156110.4.216.0/21110.4.216.1 to 110.4.223.254110.4.223.2552,046
157110.4.224.0/21110.4.224.1 to 110.4.231.254110.4.231.2552,046
158110.4.232.0/21110.4.232.1 to 110.4.239.254110.4.239.2552,046
159110.4.240.0/21110.4.240.1 to 110.4.247.254110.4.247.2552,046
160110.4.248.0/21110.4.248.1 to 110.4.255.254110.4.255.2552,046
161110.5.0.0/21110.5.0.1 to 110.5.7.254110.5.7.2552,046
162110.5.8.0/21110.5.8.1 to 110.5.15.254110.5.15.2552,046
163110.5.16.0/21110.5.16.1 to 110.5.23.254110.5.23.2552,046
164110.5.24.0/21110.5.24.1 to 110.5.31.254110.5.31.2552,046
165110.5.32.0/21110.5.32.1 to 110.5.39.254110.5.39.2552,046
166110.5.40.0/21110.5.40.1 to 110.5.47.254110.5.47.2552,046
167110.5.48.0/21110.5.48.1 to 110.5.55.254110.5.55.2552,046
168110.5.56.0/21110.5.56.1 to 110.5.63.254110.5.63.2552,046
169110.5.64.0/21110.5.64.1 to 110.5.71.254110.5.71.2552,046
170110.5.72.0/21110.5.72.1 to 110.5.79.254110.5.79.2552,046
171110.5.80.0/21110.5.80.1 to 110.5.87.254110.5.87.2552,046
172110.5.88.0/21110.5.88.1 to 110.5.95.254110.5.95.2552,046
173110.5.96.0/21110.5.96.1 to 110.5.103.254110.5.103.2552,046
174110.5.104.0/21110.5.104.1 to 110.5.111.254110.5.111.2552,046
175110.5.112.0/21110.5.112.1 to 110.5.119.254110.5.119.2552,046
176110.5.120.0/21110.5.120.1 to 110.5.127.254110.5.127.2552,046
177110.5.128.0/21110.5.128.1 to 110.5.135.254110.5.135.2552,046
178110.5.136.0/21110.5.136.1 to 110.5.143.254110.5.143.2552,046
179110.5.144.0/21110.5.144.1 to 110.5.151.254110.5.151.2552,046
180110.5.152.0/21110.5.152.1 to 110.5.159.254110.5.159.2552,046
181110.5.160.0/21110.5.160.1 to 110.5.167.254110.5.167.2552,046
182110.5.168.0/21110.5.168.1 to 110.5.175.254110.5.175.2552,046
183110.5.176.0/21110.5.176.1 to 110.5.183.254110.5.183.2552,046
184110.5.184.0/21110.5.184.1 to 110.5.191.254110.5.191.2552,046
185110.5.192.0/21110.5.192.1 to 110.5.199.254110.5.199.2552,046
186110.5.200.0/21110.5.200.1 to 110.5.207.254110.5.207.2552,046
187110.5.208.0/21110.5.208.1 to 110.5.215.254110.5.215.2552,046
188110.5.216.0/21110.5.216.1 to 110.5.223.254110.5.223.2552,046
189110.5.224.0/21110.5.224.1 to 110.5.231.254110.5.231.2552,046
190110.5.232.0/21110.5.232.1 to 110.5.239.254110.5.239.2552,046
191110.5.240.0/21110.5.240.1 to 110.5.247.254110.5.247.2552,046
192110.5.248.0/21110.5.248.1 to 110.5.255.254110.5.255.2552,046
193110.6.0.0/21110.6.0.1 to 110.6.7.254110.6.7.2552,046
194110.6.8.0/21110.6.8.1 to 110.6.15.254110.6.15.2552,046
195110.6.16.0/21110.6.16.1 to 110.6.23.254110.6.23.2552,046
196110.6.24.0/21110.6.24.1 to 110.6.31.254110.6.31.2552,046
197110.6.32.0/21110.6.32.1 to 110.6.39.254110.6.39.2552,046
198110.6.40.0/21110.6.40.1 to 110.6.47.254110.6.47.2552,046
199110.6.48.0/21110.6.48.1 to 110.6.55.254110.6.55.2552,046
200110.6.56.0/21110.6.56.1 to 110.6.63.254110.6.63.2552,046
201110.6.64.0/21110.6.64.1 to 110.6.71.254110.6.71.2552,046
202110.6.72.0/21110.6.72.1 to 110.6.79.254110.6.79.2552,046
203110.6.80.0/21110.6.80.1 to 110.6.87.254110.6.87.2552,046
204110.6.88.0/21110.6.88.1 to 110.6.95.254110.6.95.2552,046
205110.6.96.0/21110.6.96.1 to 110.6.103.254110.6.103.2552,046
206110.6.104.0/21110.6.104.1 to 110.6.111.254110.6.111.2552,046
207110.6.112.0/21110.6.112.1 to 110.6.119.254110.6.119.2552,046
208110.6.120.0/21110.6.120.1 to 110.6.127.254110.6.127.2552,046
209110.6.128.0/21110.6.128.1 to 110.6.135.254110.6.135.2552,046
210110.6.136.0/21110.6.136.1 to 110.6.143.254110.6.143.2552,046
211110.6.144.0/21110.6.144.1 to 110.6.151.254110.6.151.2552,046
212110.6.152.0/21110.6.152.1 to 110.6.159.254110.6.159.2552,046
213110.6.160.0/21110.6.160.1 to 110.6.167.254110.6.167.2552,046
214110.6.168.0/21110.6.168.1 to 110.6.175.254110.6.175.2552,046
215110.6.176.0/21110.6.176.1 to 110.6.183.254110.6.183.2552,046
216110.6.184.0/21110.6.184.1 to 110.6.191.254110.6.191.2552,046
217110.6.192.0/21110.6.192.1 to 110.6.199.254110.6.199.2552,046
218110.6.200.0/21110.6.200.1 to 110.6.207.254110.6.207.2552,046
219110.6.208.0/21110.6.208.1 to 110.6.215.254110.6.215.2552,046
220110.6.216.0/21110.6.216.1 to 110.6.223.254110.6.223.2552,046
221110.6.224.0/21110.6.224.1 to 110.6.231.254110.6.231.2552,046
222110.6.232.0/21110.6.232.1 to 110.6.239.254110.6.239.2552,046
223110.6.240.0/21110.6.240.1 to 110.6.247.254110.6.247.2552,046
224110.6.248.0/21110.6.248.1 to 110.6.255.254110.6.255.2552,046
225110.7.0.0/21110.7.0.1 to 110.7.7.254110.7.7.2552,046
226110.7.8.0/21110.7.8.1 to 110.7.15.254110.7.15.2552,046
227110.7.16.0/21110.7.16.1 to 110.7.23.254110.7.23.2552,046
228110.7.24.0/21110.7.24.1 to 110.7.31.254110.7.31.2552,046
229110.7.32.0/21110.7.32.1 to 110.7.39.254110.7.39.2552,046
230110.7.40.0/21110.7.40.1 to 110.7.47.254110.7.47.2552,046
231110.7.48.0/21110.7.48.1 to 110.7.55.254110.7.55.2552,046
232110.7.56.0/21110.7.56.1 to 110.7.63.254110.7.63.2552,046
233110.7.64.0/21110.7.64.1 to 110.7.71.254110.7.71.2552,046
234110.7.72.0/21110.7.72.1 to 110.7.79.254110.7.79.2552,046
235110.7.80.0/21110.7.80.1 to 110.7.87.254110.7.87.2552,046
236110.7.88.0/21110.7.88.1 to 110.7.95.254110.7.95.2552,046
237110.7.96.0/21110.7.96.1 to 110.7.103.254110.7.103.2552,046
238110.7.104.0/21110.7.104.1 to 110.7.111.254110.7.111.2552,046
239110.7.112.0/21110.7.112.1 to 110.7.119.254110.7.119.2552,046
240110.7.120.0/21110.7.120.1 to 110.7.127.254110.7.127.2552,046
241110.7.128.0/21110.7.128.1 to 110.7.135.254110.7.135.2552,046
242110.7.136.0/21110.7.136.1 to 110.7.143.254110.7.143.2552,046
243110.7.144.0/21110.7.144.1 to 110.7.151.254110.7.151.2552,046
244110.7.152.0/21110.7.152.1 to 110.7.159.254110.7.159.2552,046
245110.7.160.0/21110.7.160.1 to 110.7.167.254110.7.167.2552,046
246110.7.168.0/21110.7.168.1 to 110.7.175.254110.7.175.2552,046
247110.7.176.0/21110.7.176.1 to 110.7.183.254110.7.183.2552,046
248110.7.184.0/21110.7.184.1 to 110.7.191.254110.7.191.2552,046
249110.7.192.0/21110.7.192.1 to 110.7.199.254110.7.199.2552,046
250110.7.200.0/21110.7.200.1 to 110.7.207.254110.7.207.2552,046
251110.7.208.0/21110.7.208.1 to 110.7.215.254110.7.215.2552,046
252110.7.216.0/21110.7.216.1 to 110.7.223.254110.7.223.2552,046
253110.7.224.0/21110.7.224.1 to 110.7.231.254110.7.231.2552,046
254110.7.232.0/21110.7.232.1 to 110.7.239.254110.7.239.2552,046
255110.7.240.0/21110.7.240.1 to 110.7.247.254110.7.247.2552,046
256110.7.248.0/21110.7.248.1 to 110.7.255.254110.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses